Update Pronunciation#
Update Pronunciation. Use the public agent id from List Agents. This path only accepts agents allowed by the company package.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
agent_idstringpathrequired
Public agent id from List Agents
indexstringpathrequired
index
wordstringbody
max 255. send only when changing this field
alphabetstringbody
One of: ipa, cmu, IPA, CMU. send only when changing this field
phonemestringbody
max 1000. may be null. send only when changing this field
curl --request PATCH \
--url https://app.rizzdial.com/api/ai/agent/v2/manage/intelligence/pronunciation/agent_123/0 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"word":"value","alphabet":"ipa","phoneme":"value"}'successboolean
true when the call succeeds. Some list responses use status: success instead
dataobject
The saved record, or the list of records